dOCR
API ReferenceDocument types

List document types

Returns the document types available to your organization, with their fields.

GET
/document-types
AuthorizationBearer <token>

API key as a Bearer token: Authorization: Bearer docr_sk_…

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.docr.dev/api/v1/document-types"
{
  "documentTypes": [
    {
      "id": "string",
      "name": "Invoice",
      "slug": "invoice",
      "isBuiltIn": true,
      "autoDetectEnabled": true,
      "fields": [
        {
          "key": "invoiceNumber",
          "label": "Invoice Number",
          "type": "string",
          "required": true,
          "description": "string"
        }
      ]
    }
  ]
}
{
  "error": "Invalid or revoked API key"
}
{
  "error": "IP 203.0.113.4 is not whitelisted"
}